summaryrefslogtreecommitdiffstats
path: root/source/l/dav1d
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-04-03 19:58:56 +0000
committer Eric Hameleers <alien@slackware.com>2024-04-03 23:12:56 +0200
commit76d67b71a0f5faf743e561d908b439b8e28368dc (patch)
tree5954098137e2f0913faf0e3e23aaaf06d463e75a /source/l/dav1d
parent148aaa82e10e52d5f7eeb108d1b59ad733d2ac2e (diff)
downloadcurrent-76d67b71a0f5faf743e561d908b439b8e28368dc.tar.gz
current-76d67b71a0f5faf743e561d908b439b8e28368dc.tar.xz
Wed Apr 3 19:58:56 UTC 202420240403195856
a/kernel-generic-6.6.24-x86_64-1.txz: Upgraded. a/kernel-huge-6.6.24-x86_64-1.txz: Upgraded. a/kernel-modules-6.6.24-x86_64-1.txz: Upgraded. d/kernel-headers-6.6.24-x86-1.txz: Upgraded. d/python3-3.11.9-x86_64-1.txz: Upgraded. k/kernel-source-6.6.24-noarch-1.txz: Upgraded. -AMD_MEM_ENCRYPT_ACTIVE_BY_DEFAULT n -GCC11_NO_ARRAY_BOUNDS y NUMA_BALANCING n -> y +GCC10_NO_ARRAY_BOUNDS y +NUMA_BALANCING_DEFAULT_ENABLED y kde/libindi-2.0.7-x86_64-1.txz: Upgraded. l/SDL2-2.30.2-x86_64-1.txz: Upgraded. l/aom-3.8.2-x86_64-1.txz: Added. Needed to add AV1 encode/decode support to ffmpeg. Thanks to Andrew Strong. l/dav1d-1.4.1-x86_64-1.txz: Added. Needed to add AV1 decode support to ffmpeg. l/ffmpeg-6.1.1-x86_64-2.txz: Rebuilt. Patched to build with nv-codec-headers-12.2.72.0. Thanks to J_W. Compiled against aom-3.8.2 and dav1d-1.4.1 for AV1 support. Thanks to glennmcc. l/gtk4-4.14.2-x86_64-1.txz: Upgraded. n/whois-5.5.22-x86_64-1.txz: Upgraded. Fixed a segmentation fault with --no-recursion. Updated the .bm and .vi TLD servers. Removed 4 new gTLDs which are no longer active. xap/MPlayer-20240403-x86_64-1.txz: Upgraded. Compiled using --enable-libaom-lavc and --enable-libdav1d-lavc. Thanks to glennmcc. xap/pan-0.157-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/l/dav1d')
-rwxr-xr-xsource/l/dav1d/dav1d.SlackBuild124
-rw-r--r--source/l/dav1d/dav1d.url1
-rw-r--r--source/l/dav1d/slack-desc19
3 files changed, 144 insertions, 0 deletions
diff --git a/source/l/dav1d/dav1d.SlackBuild b/source/l/dav1d/dav1d.SlackBuild
new file mode 100755
index 000000000..8877ec7bb
--- /dev/null
+++ b/source/l/dav1d/dav1d.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/bash
+
+# Copyright 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=dav1d
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ CONTRIBUTING* COPYING* NEWS* README* THANKS* \
+ doc/PATENTS* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/dav1d/dav1d.url b/source/l/dav1d/dav1d.url
new file mode 100644
index 000000000..b241eeae0
--- /dev/null
+++ b/source/l/dav1d/dav1d.url
@@ -0,0 +1 @@
+http://downloads.videolan.org/pub/videolan/dav1d
diff --git a/source/l/dav1d/slack-desc b/source/l/dav1d/slack-desc
new file mode 100644
index 000000000..3afb21a99
--- /dev/null
+++ b/source/l/dav1d/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dav1d: dav1d (AV1 decoder)
+dav1d:
+dav1d: dav1d is an AV1 decoder focused on speed and correctness. It supports
+dav1d: all features from AV1, including all subsampling and bit-depth
+dav1d: parameters.
+dav1d:
+dav1d: Homepage: https://code.videolan.org/videolan/dav1d
+dav1d:
+dav1d:
+dav1d:
+dav1d: